org.apache.lucene.search

## Class TimeLimitingCollector.TimeExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.search.TimeLimitingCollector.TimeExceededException

All Implemented Interfaces:
  Serializable

Enclosing class:
  TimeLimitingCollector

    public static class TimeLimitingCollector.TimeExceededException
    extends RuntimeException

Thrown when elapsed search time exceeds allowed search time.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLastDocCollected()` Returns last doc (absolute doc id) that was collected when the search time exceeded.
`long` `getTimeAllowed()` Returns allowed time (milliseconds).
`long` `getTimeElapsed()` Returns elapsed time (milliseconds).

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getTimeAllowed

    public long getTimeAllowed()

Returns allowed time (milliseconds).

#### getTimeElapsed

    public long getTimeElapsed()

Returns elapsed time (milliseconds).

#### getLastDocCollected

    public int getLastDocCollected()

Returns last doc (absolute doc id) that was collected when the search time exceeded.